Name:		libnsl
Group:		System/Libraries
Version:	1.3.0
Release:	%mkrel 3
Summary:	Public client interface library for NIS(YP) and NIS+
License:	BSD and LGPLv2+
URL:		https://github.com/thkukuk/libnsl
Source0:	https://github.com/thkukuk/libnsl/releases/download/v%{version}/libnsl-%{version}.tar.xz
Patch0:		libnsl-1.3.0-nisplus-include-stdint.patch

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig(libtirpc)

%define		major 2
%define		libname %mklibname nsl %{major}
%define		develname %mklibname nsl -d

%description
This package contains the libnsl library. This library contains
the public client interface for NIS(YP) and NIS+.
This code was formerly part of glibc, but is now standalone to
be able to link against TI-RPC for IPv6 support.

%package -n %{libname}
Summary:	Public client interface library for NIS(YP) and NIS+
Group:		System/Libraries

%description -n %{libname}
This package contains the libnsl library. This library contains
the public client interface for NIS(YP) and NIS+.
This code was formerly part of glibc, but is now standalone to
be able to link against TI-RPC for IPv6 support.

%package -n %{develname}
Summary:	Development files for libnsl
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	glibc-devel < 2.32-1

%description -n %{develname}
Development files for libnsl2


%prep
%setup -q

%patch0 -p1 -b .include_stdint

%build
export CFLAGS="%{optflags}"

autoreconf -fiv

%configure\
    --libdir=%{_libdir}\
    --includedir=%{_includedir}

%make_build

%install
%make_install

rm %{buildroot}/%{_libdir}/libnsl.a
rm %{buildroot}/%{_libdir}/libnsl.la

%files -n %{libname}
%{_libdir}/libnsl.so.%{major}*
%license COPYING

%files -n %{develname}
%{_libdir}/libnsl.so
%{_includedir}/*
%{_libdir}/pkgconfig/libnsl.pc


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 1.3.0-3.mga9
+ Revision: 1800042
- Mageia 9 Mass Rebuild

* Fri Dec 11 2020 wally <wally> 1.3.0-2.mga8
+ Revision: 1655468
- add libnsl-devel provides

* Sun Nov 22 2020 tmb <tmb> 1.3.0-1.mga8
+ Revision: 1648362
- imported package libnsl

